const SerialPort = require('serialport');
const fs = require('fs');
const csv=require('csv-parser');
var Bacon = require("baconjs"); 

try {
    const jsonString = fs.readFileSync('./parameters.json');
    const parameters = JSON.parse(jsonString);
    const port = new SerialPort(parameters.serialport, {
        baudRate: parameters.baudrate
    });
    const SensorDataStream = port.pipe(csv({headers: parameters.fieldnames}));
//    var eventStream = Bacon.fromEvent(SensorDataStream,'data'); 
//    eventStream 
//    .onValue((content)=> console.log('Data:', content)); 

    var eventStream = Bacon.fromEvent(port,'data'); 
    eventStream
    .map((content)=> {console.log('Data:', content.toString()); return "pippo2"})
    .onValue((content)=> console.log('Data:', content)); 


} catch(err) {
  console.log(err);
  return;
}
