/**
*	@file SensorCommunicationLib.h
*	@brief contains the SensorCommunicationLib class definition and the include file that the class implementation
*	needs.
*
*	@author	Antonio Cafiero
*
*	@date 11/10/2019
*/
#include <Smoothed.h>   // Include the library


#define MAXNUMOFSENSORS 30

class SensorCommunicationLib
{
  public:
	SensorCommunicationLib(int NumberOfSensors=10);
	void processSensors(void (*getSensorData)()); //call in loop()
	float Sensors[MAXNUMOFSENSORS];	
  private:
	int kNumberOfSensors;
	void Tentative();
	void Send();
};
